diff -uwr source/scripts/engine_pt.h sourceold/scripts/engine_pt.h
--- source/scripts/engine_pt.h	2013-02-12 09:35:51.370117100 +0800
+++ sourceold/scripts/engine_pt.h	2012-07-28 09:11:06.918945300 +0800
@@ -11,8 +11,7 @@
 */
 #ifndef SCRIPTS_INCLUDE__ENGINE_PT_H
 #define SCRIPTS_INCLUDE__ENGINE_PT_H
-#include "BuildingGameObjDef.h"
-using namespace BuildingConstants;
+
 unsigned int SCRIPTS_API Get_Team_Cost(const char *preset,unsigned int team); //Get the cost of a preset for a given team. Returns zero if the preset is not found in any of the purchase terminal data or if it is one of the free units.
 unsigned int SCRIPTS_API Get_Cost(const char *preset); //Get the cost of a preset. Returns zero if the preset is not found in any of the purchase terminal data or if it is one of the free units.
 void SCRIPTS_API Disable_Preset_By_Name(unsigned int Team,const char *Name, bool enable); //Disable a preset by name
@@ -20,5 +19,4 @@
 void SCRIPTS_API Busy_Preset_By_Name(unsigned int Team,const char *Name, bool enable); //Marks a preset as busy by name
 const char SCRIPTS_API *Get_Team_Icon(const char *preset,unsigned int team); //Get the icon texture name for a given preset of a given team. Returns NULL if it cant find that preset in the PT data.
 const char SCRIPTS_API *Get_Icon(const char *preset); //Get the icon texture name for a given preset. Returns NULL if it cant find that preset in the PT data.
-void SCRIPTS_API Disable_All_Presets_By_Factory_Tech(BuildingType type,unsigned int team,bool disable); //Iterate all PT data for that team and disable/enable all presets who's factory or tech building matches the specified type.
 #endif
diff -uwr source/scripts/engine_script.cpp sourceold/scripts/engine_script.cpp
--- source/scripts/engine_script.cpp	2013-02-19 09:30:47.839843700 +0800
+++ sourceold/scripts/engine_script.cpp	2013-01-13 11:33:13.721742200 +0800
@@ -479,50 +479,6 @@
 	}
 }
 
-SCRIPTS_API void Find_All_Objects_With_Script_By_Distance(const char *script, SList<GameObject>& objects, Vector3 position)
-{
-  objects.Remove_All();
-
-  // Internal list of distances, in the same order as GameObjects in objects
-  SList<float> distances;
-
-  for ( SLNode<BaseGameObj>* objNode = GameObjManager::GameObjList.Head(); objNode != NULL; objNode = objNode->Next() )
-  {
-    ScriptableGameObj* obj = (objNode->Data()) ? objNode->Data()->As_ScriptableGameObj() : NULL;
-    if ( obj && Is_Script_Attached(obj,script) )
-    {
-      // SList cannot contain non-pointer types... stupid thing!
-      float* distance = new float;
-      *distance = Commands->Get_Distance(Commands->Get_Position(obj), position);
-
-      SLNode<float>* d = distances.Head();
-      for ( SLNode<GameObject>* o = objects.Head();
-        d != NULL;
-        d = d->Next(), o = o->Next() )
-      {
-        if ( *distance < *d->Data() )
-        {
-          objects.insertBefore(obj, *o);
-          distances.insertBefore(distance, *d);
-          distance = NULL;
-          break;
-        }
-      }
-
-      // OK, all existing objects are closer than this one so add it to the end of the list
-      if ( distance != NULL )
-      {
-        objects.Add_Tail(obj);
-        distances.Add_Tail(distance);
-      }
-    }
-  }
-
-  // Clean up memory since SList insists on having heap objects...
-  for ( SLNode<float>* d = distances.Head(); d != NULL; d = d->Next() )
-    delete d->Data();
-}
-
 SCRIPTS_API void Send_Custom_Event_To_Objects_With_Script( GameObject *sender, const char *script, int message, int param, float delay )
 {
 	if (!sender)
diff -uwr source/scripts/engine_script.h sourceold/scripts/engine_script.h
--- source/scripts/engine_script.h	2013-02-12 09:36:05.815429600 +0800
+++ sourceold/scripts/engine_script.h	2013-01-13 11:33:13.549867200 +0800
@@ -35,24 +35,6 @@
 SCRIPTS_API GameObject *Find_Object_With_Script(const char *script); //Find the first object with this script on it
 SCRIPTS_API GameObject *Find_Closest_Object_With_Script(const char *script, Vector3 pos); //Find the closest object to pos with this script on it
 SCRIPTS_API void Find_All_Objects_With_Script(const char *script, SList<GameObject>& objects); // Find all objects with this script on it
-
-/*!
-* \brief Find Objects With Script - Distance Sorted
-* \author Daniel Paul (danpaul88@yahoo.co.uk)
-* \ingroup api_objectfind
-*
-* Finds all GameObjects with one or more instances of the specified script attached and returns them
-* in a list which is sorted by the distance from that object to a specified position
-*
-* \param[in] script
-*   Name of the script to search for on the object
-* \param[out] objects
-*   Reference to an SList<GameObject> in which the results should be stored
-* \param[in] position
-*   The position to calculate distance from
-*/
-SCRIPTS_API void Find_All_Objects_With_Script_By_Distance(const char *script, SList<GameObject>& objects, Vector3 position);
-
 SCRIPTS_API void Send_Custom_Event_To_Objects_With_Script( GameObject *sender, const char *script, int message, int param, float delay ); // Script to send a custom to all objects with a specific script
 SCRIPTS_API void Send_Custom_Event_To_Objects_With_Script_Ranged( GameObject *sender, const char *script, int message, int param, float delay, float range ); // Script to send a custom to all objects with a specific script in a specified range
 SCRIPTS_API ScriptImpClass* Find_Script_On_Object(GameObject* obj, const char *script); // Returns a pointer to the first instance of the named script on the given object, or NULL if not found
diff -uwr source/scripts/jfwdmg.h sourceold/scripts/jfwdmg.h
--- source/scripts/jfwdmg.h	2013-02-12 09:36:05.784179600 +0800
+++ sourceold/scripts/jfwdmg.h	2012-07-28 09:11:05.329101500 +0800
@@ -80,8 +80,6 @@
 *
 * \param Time
 *   Number of seconds to wait before triggering
-* \param TimerNum
-*   Internal ID to use for the timer to avoid clashing with any other timers on the same object
 * \param Amount
 *   Amount of damage to apply to the object the script is attached to
 * \param Warhead
diff -uwr source/scripts/jfwgame.cpp sourceold/scripts/jfwgame.cpp
--- source/scripts/jfwgame.cpp	2013-02-16 11:40:53.371093700 +0800
+++ sourceold/scripts/jfwgame.cpp	2012-07-28 09:11:05.383789000 +0800
@@ -16,8 +16,6 @@
 #include "jfwgame.h"
 #include "TeamPurchaseSettingsDefClass.h"
 #include "VehicleGameObj.h"
-#include "BuildingGameObj.h"
-#include "BuildingGameObjDef.h"
 #include "WeaponClass.h"
 
 void JFW_Team_DM_Zone::Exited(GameObject *obj,GameObject *exiter)
@@ -3140,7 +3138,7 @@
 
 void JFW_Hijacker_Vehicle::Damaged(GameObject *obj,GameObject *damager,float amount)
 {
-	if (damager && !HijackerID)
+	if (damager)
 	{
 		if (!_stricmp(Get_Current_Weapon(damager),Get_Parameter("Weapon")) && (!Get_Vehicle(damager)))
 		{
@@ -3165,95 +3163,6 @@
 	}
 }
 
-void JFW_Hijacker_Vehicle_2::Created(GameObject *obj)
-{
-	HijackerID = 0;
-	jacking = false;
-}
-
-void JFW_Hijacker_Vehicle_2::Damaged(GameObject *obj,GameObject *damager,float amount)
-{
-	if (damager && !HijackerID && !jacking)
-	{
-		if (!_stricmp(Get_Current_Weapon(damager),Get_Parameter("Weapon")) && (!Get_Vehicle(damager)))
-		{
-			Commands->Create_Sound(Get_Parameter("Sound"),Commands->Get_Position(damager),damager);
-			Force_Occupants_Exit(obj);
-			Commands->Start_Timer(obj,this,0.5,1);
-			HijackerID = Commands->Get_ID(damager);
-			jacking = true;
-		}
-	}
-}
-
-void JFW_Hijacker_Vehicle_2::Custom(GameObject *obj,int type,int param,GameObject *sender)
-{
-	if ((type == CUSTOM_EVENT_VEHICLE_ENTERED) && (sender == Commands->Find_Object(HijackerID)))
-	{
-		if (Get_Int_Parameter("Disable_Transitions"))
-		{
-			Commands->Enable_Vehicle_Transitions(obj,false);
-		}
-		if (Get_Int_Parameter("Single_Hijack"))
-		{
-			Remove_Weapon(sender,Get_Parameter("Weapon"));
-		}
-	}
-	if ((type == CUSTOM_EVENT_VEHICLE_EXITED) && (sender == Commands->Find_Object(HijackerID)))
-	{
-		HijackerID = 0;
-	}
-}
-
-void JFW_Hijacker_Vehicle_2::Timer_Expired(GameObject *obj,int number)
-{
-	jacking = false;
-	Soldier_Transition_Vehicle(Commands->Find_Object(HijackerID));
-}
-
-void JFW_Hijacker_Vehicle_2::Killed(GameObject *obj,GameObject *killer)
-{
-}
-
-void JFW_Building_Preset_Disable::Created(GameObject *obj)
-{
-	count = 0;
-}
-void JFW_Building_Preset_Disable::Custom(GameObject *obj,int type,int param,GameObject *sender)
-{
-	if (type == Get_Int_Parameter("Disable_Custom"))
-	{
-		if (count == 0)
-		{
-			if (obj->As_BuildingGameObj())
-			{
-				BuildingType type = obj->As_BuildingGameObj()->Get_Definition().Get_Type();
-				int team = obj->As_BuildingGameObj()->Get_Player_Type();
-				Disable_All_Presets_By_Factory_Tech(type,team,true);
-			}
-		}
-		count++;
-	}
-	if (type == Get_Int_Parameter("Enable_Custom"))
-	{
-		count--;
-		if (count == 0)
-		{
-			if (obj->As_BuildingGameObj())
-			{
-				BuildingType type = obj->As_BuildingGameObj()->Get_Definition().Get_Type();
-				int team = obj->As_BuildingGameObj()->Get_Player_Type();
-				Disable_All_Presets_By_Factory_Tech(type,team,false);
-			}
-		}
-	}
-}
-
-void JFW_Building_Preset_Disable::Killed(GameObject *obj,GameObject *killer)
-{
-	Destroy_Script();
-}
-
 ScriptRegistrant<JFW_Domination_Controler_End_Game> JFW_Domination_Controler_End_Game_Registrant("JFW_Domination_Controler_End_Game","NeutralMessage:int,OwnedMessage:int,Time:float,TimerNum:int,PointsToGive:float,PointsToTake:float,GDIObjectID:int,NodObjectID:int,ZoneCount:int");
 ScriptRegistrant<JFW_Carryable_Vehicle> JFW_Carryable_Vehicle_Registrant("JFW_Carryable_Vehicle","Only_Empty:int,Control_ID:int");
 ScriptRegistrant<JFW_CarryAll> JFW_CarryAll_Registrant("JFW_CarryAll","Bone_Name:string,Cost:int,Control_ID:int");
@@ -3314,5 +3223,3 @@
 ScriptRegistrant<JFW_Submarine> JFW_Submarine_Registrant("JFW_Submarine","Message:int,Submerge_Armor:string,Surface_Armor:string,Block_Weapon:int,Ping_Sound:string,Surface_Sound:string,Ping_Time:float,Surface_Z_Offset:float,Dive_Z_Offset:float,Powerup:string,Weapon:string");
 ScriptRegistrant<JFW_Reaper_Web> JFW_Reaper_Web_Registrant("JFW_Reaper_Web","Weapon:string,Time:float,WebModel:string,HumanAnimation:string");
 ScriptRegistrant<JFW_Hijacker_Vehicle> JFW_Hijacker_Vehicle_Registrant("JFW_Hijacker_Vehicle","Weapon:string,Warhead:string,Damage:float,Sound:string");
-ScriptRegistrant<JFW_Hijacker_Vehicle_2> JFW_Hijacker_Vehicle_2_Registrant("JFW_Hijacker_Vehicle_2","Weapon:string,Sound:string,Disable_Transitions:int,Single_Hijack:int");
-ScriptRegistrant<JFW_Building_Preset_Disable> JFW_Building_Preset_Disable_Registrant("JFW_Building_Preset_Disable","Disable_Custom:int,Enable_Custom:int");
diff -uwr source/scripts/jfwgame.h sourceold/scripts/jfwgame.h
--- source/scripts/jfwgame.h	2013-02-16 11:14:41.923828100 +0800
+++ sourceold/scripts/jfwgame.h	2012-07-28 09:11:05.332031200 +0800
@@ -435,20 +435,3 @@
 	void Killed(GameObject *obj,GameObject *killer);
 	int HijackerID;
 };
-
-class JFW_Hijacker_Vehicle_2 : public ScriptImpClass {
-	void Created(GameObject *obj);
-	void Damaged(GameObject *obj,GameObject *damager,float amount);
-	void Custom(GameObject *obj,int type,int param,GameObject *sender);
-	void Timer_Expired(GameObject *obj,int number);
-	void Killed(GameObject *obj,GameObject *killer);
-	int HijackerID;
-	bool jacking;
-};
-
-class JFW_Building_Preset_Disable : public ScriptImpClass {
-	void Created(GameObject *obj);
-	void Custom(GameObject *obj,int type,int param,GameObject *sender);
-	void Killed(GameObject *obj,GameObject *killer);
-	unsigned int count;
-};
diff -uwr source/scripts/jfwmisc.cpp sourceold/scripts/jfwmisc.cpp
--- source/scripts/jfwmisc.cpp	2013-02-21 20:32:40.789062500 +0800
+++ sourceold/scripts/jfwmisc.cpp	2012-07-28 09:11:06.352539000 +0800
@@ -1376,7 +1376,7 @@
 
 void JFW_EMP::Damaged(GameObject *obj,GameObject *damager,float amount)
 {
-	if (Warhead == Get_Damage_Warhead())
+	//if (Warhead == Get_Damage_Warhead())
 	{
 		VehicleGameObj *o = obj->As_VehicleGameObj();
 		if (o && o->Get_Is_Scripts_Visible() && !o->Is_Immovable())
@@ -1490,7 +1490,9 @@
 	}
 	else if (type == CUSTOM_EVENT_VEHICLE_OWNER)
 	{
-		Commands->Start_Timer(obj,this,5,Commands->Get_ID(sender));
+		Commands->Set_Position(obj,Commands->Get_Position(sender));
+		Soldier_Transition_Vehicle(sender);
+		driverid = Commands->Get_ID(sender);
 	}
 }
 
@@ -1499,20 +1501,6 @@
 	Commands->Attach_Script(Commands->Find_Object(driverid),"RA_DriverDeath", "0");
 }
 
-void JFW_Cyborg_Reaper::Timer_Expired(GameObject *obj,int number)
-{
-	if (Commands->Find_Object(number))
-	{
-		Commands->Set_Position(Commands->Find_Object(number),Commands->Get_Position(obj));
-		Soldier_Transition_Vehicle(Commands->Find_Object(number));
-		driverid = Commands->Get_ID(Commands->Find_Object(number));
-	}
-	else
-	{
-		Commands->Destroy_Object(obj);
-	}
-}
-
 void JFW_Limpet_Drone::Created(GameObject *obj)
 {
 	stealth = false;
@@ -1620,7 +1608,7 @@
 		}
 		float timer = Commands->Get_Random(min,max);
 		Commands->Start_Timer(obj,this,timer,2);
-		Commands->Send_Custom_Event(obj,obj,Get_Int_Parameter("On_Weather_Custom"),0,0);
+		Commands->Set_Lightning(Get_Float_Parameter("Lightning_Intensity"),Get_Float_Parameter("Lightning_Start_Distance"),Get_Float_Parameter("Lightning_End_Distance"),Get_Float_Parameter("Lightning_Heading"),Get_Float_Parameter("Lightning_Distribution"),0);
 		if (Find_Building_By_Type(0,BuildingConstants::TYPE_COM_CENTER))
 		{
 			Commands->Send_Custom_Event(obj,Find_Building_By_Type(0,BuildingConstants::TYPE_COM_CENTER),Get_Int_Parameter("Disable_Custom"),0,0);
@@ -1649,7 +1637,7 @@
 	else if (number == 2) //storm ended
 	{
 		storm = false;
-		Commands->Send_Custom_Event(obj,obj,Get_Int_Parameter("Off_Weather_Custom"),0,0);
+		Commands->Set_Lightning(Get_Float_Parameter("Lightning_Off_Intensity"),Get_Float_Parameter("Lightning_Off_Start_Distance"),Get_Float_Parameter("Lightning_Off_End_Distance"),Get_Float_Parameter("Lightning_Off_Heading"),Get_Float_Parameter("Lightning_Off_Distribution"),0);
 		if (Find_Building_By_Type(0,BuildingConstants::TYPE_COM_CENTER))
 		{
 			Commands->Send_Custom_Event(obj,Find_Building_By_Type(0,BuildingConstants::TYPE_COM_CENTER),Get_Int_Parameter("Enable_Custom"),0,0);
@@ -1700,17 +1688,6 @@
 	}
 }
 
-void JFW_Ion_Storm_Weather::Custom(GameObject *obj,int type,int param,GameObject *sender)
-{
-	if (type == Get_Int_Parameter("Message"))
-	{
-		Commands->Set_Lightning(Get_Float_Parameter("Lightning_Intensity"),Get_Float_Parameter("Lightning_Start_Distance"),Get_Float_Parameter("Lightning_End_Distance"),Get_Float_Parameter("Lightning_Heading"),Get_Float_Parameter("Lightning_Distribution"),0);
-		Commands->Set_Clouds(Get_Float_Parameter("Cloud_Cover"),Get_Float_Parameter("Cloud_Gloominess"),0);
-		Commands->Set_Screen_Fade_Color(Get_Float_Parameter("Screen_Red"),Get_Float_Parameter("Screen_Green"),Get_Float_Parameter("Screen_Blue"),0);
-		Commands->Set_Screen_Fade_Opacity(Get_Float_Parameter("Screen_Opacity"),0);
-	}
-}
-
 void JFW_Tech_Level_Custom::Custom(GameObject *obj,int type,int param,GameObject *sender)
 {
 	if (type == Get_Int_Parameter("Message"))
@@ -1960,8 +1937,7 @@
 ScriptRegistrant<JFW_Forward_Custom_Object> JFW_Forward_Custom_Object_Registrant("JFW_Forward_Custom_Object","Object_ID:int");
 ScriptRegistrant<JFW_Death_Send_Custom_Self> JFW_Death_Send_Custom_Self_Registrant("JFW_Death_Send_Custom_Self","Message:int");
 ScriptRegistrant<JFW_Hunter_Seeker> JFW_Hunter_Seeker_Registrant("JFW_Hunter_Seeker","Key:string,Explosion:string");
-ScriptRegistrant<JFW_Ion_Storm> JFW_Ion_Storm_Registrant("JFW_Ion_Storm","Min_Delay:float,Max_Delay:float,Min_Time:float,Max_Time:float,Disable_Custom:int,Enable_Custom:int,Announcement_Sound_Nod:string,Announcement_Sound_GDI:string,Announcement_String:string,Red:int,Green:int,Blue:int,Ion_Effect_Sound:string,Ion_Effect_Time:float,End_Announcement_Sound_Nod:string,End_Announcement_Sound_GDI:string,End_Announcement_String:string,On_Weather_Custom:int,Off_Weather_Custom:int");
-ScriptRegistrant<JFW_Ion_Storm_Weather> JFW_Ion_Storm_Weather_Registrant("JFW_Ion_Storm_Weather","Lightning_Intensity:float,Lightning_Start_Distance:float,Lightning_End_Distance:float,Lightning_Heading:float,Lightning_Distribution:float,Cloud_Cover:float,Cloud_Gloominess:float,Screen_Red:float,Screen_Green:float,Screen_Blue:float,Screen_Opacity:float,Message:int");
+ScriptRegistrant<JFW_Ion_Storm> JFW_Ion_Storm_Registrant("JFW_Ion_Storm","Min_Delay:float,Max_Delay:float,Min_Time:float,Max_Time:float,Disable_Custom:int,Enable_Custom:int,Announcement_Sound_Nod:string,Announcement_Sound_GDI:string,Announcement_String:string,Red:int,Green:int,Blue:int,Ion_Effect_Sound:string,Ion_Effect_Time:float,Lightning_Intensity:float,Lightning_Start_Distance:float,Lightning_End_Distance:float,Lightning_Heading:float,Lightning_Distribution:float,Lightning_Off_Intensity:float,Lightning_Off_Start_Distance:float,Lightning_Off_End_Distance:float,Lightning_Off_Heading:float,Lightning_Off_Distribution:float,End_Announcement_Sound_Nod:string,End_Announcement_Sound_GDI:string,End_Announcement_String:string");
 ScriptRegistrant<JFW_Change_Character_Created> JFW_Change_Character_Created_Registrant("JFW_Change_Character_Created","Character:string");
 ScriptRegistrant<JFW_Change_Model_Created> JFW_Change_Model_Created_Registrant("JFW_Change_Model_Created","Model1:string,Model2:string,Model3:string,Model4:string,Model5:string");
 ScriptRegistrant<JFW_Spawn_Object_Created> JFW_Spawn_Object_Created_Registrant("JFW_Spawn_Object_Created","Object:string");
diff -uwr source/scripts/jfwmisc.h sourceold/scripts/jfwmisc.h
--- source/scripts/jfwmisc.h	2013-02-21 20:26:02.560546800 +0800
+++ sourceold/scripts/jfwmisc.h	2013-01-11 22:37:51.769531200 +0800
@@ -520,7 +520,6 @@
 	void Created(GameObject *obj);
 	void Custom(GameObject *obj,int type,int param,GameObject *sender);
 	void Killed(GameObject *obj,GameObject *killer);
-	void Timer_Expired(GameObject *obj,int number);
 };
 
 class JFW_Limpet_Drone : public ScriptImpClass {
@@ -551,10 +550,6 @@
 	void Timer_Expired(GameObject *obj,int number);
 };
 
-class JFW_Ion_Storm_Weather : public ScriptImpClass {
-	void Custom(GameObject *obj,int type,int param,GameObject *sender);
-};
-
 class JFW_Tech_Level_Custom : public ScriptImpClass {
 	void Custom(GameObject *obj,int type,int param,GameObject *sender);
 };
diff -uwr source/scripts/jfwveh.cpp sourceold/scripts/jfwveh.cpp
--- source/scripts/jfwveh.cpp	2013-02-21 19:28:09.923828100 +0800
+++ sourceold/scripts/jfwveh.cpp	2012-07-28 09:11:05.615234300 +0800
@@ -93,54 +93,6 @@
 	Commands->Create_Explosion(Get_Parameter("Explosion_Preset"),tmb,0);
 }
 
-void JFW_Turret_Spawn_3::Created(GameObject *obj)
-{
-  Vector3 sp;
-  GameObject *object;
-  sp.X = 0;
-  sp.Y = 0;
-  sp.Z = 0;
-  object = Commands->Create_Object(Get_Parameter("Turret_Preset"),sp);
-  Commands->Attach_To_Object_Bone(object,obj,Get_Parameter("Bone_Name"));
-  turID = Commands->Get_ID(object);
-  Commands->Send_Custom_Event(obj,Commands->Find_Object(turID),Get_Int_Parameter("Driver_Exited_Custom"),0,0);
-  Attach_Script_Once_V(object,"dp88_linkHealth","%d",Commands->Get_ID(obj));
-  m_bHasDriver = false;
-}
-
-void JFW_Turret_Spawn_3::Custom(GameObject *obj,int type,int param,GameObject *sender)
-{
-  if (type == CUSTOM_EVENT_VEHICLE_ENTERED)
-  {
-    if ( !m_bHasDriver )
-    {
-      m_bHasDriver = true;
-      Commands->Set_Player_Type(Commands->Find_Object(turID),Commands->Get_Player_Type(sender));
-      Commands->Send_Custom_Event(obj,Commands->Find_Object(turID),Get_Int_Parameter("Driver_Entered_Custom"),0,0);
-    }
-  }
-  if (type == CUSTOM_EVENT_VEHICLE_EXITED)
-  {
-    if ( m_bHasDriver && obj->As_VehicleGameObj() && obj->As_VehicleGameObj()->Get_Occupant(0) == NULL )
-    {
-      m_bHasDriver = false;
-      Commands->Send_Custom_Event(obj,Commands->Find_Object(turID),Get_Int_Parameter("Driver_Exited_Custom"),0,0);
-    }
-  }
-}
-
-void JFW_Turret_Spawn_3::Register_Auto_Save_Variables()
-{
-	Auto_Save_Variable(&turID,4,1);
-}
-
-void JFW_Turret_Spawn_3::Killed(GameObject *obj,GameObject *killer)
-{
-	Vector3 tmb;
-	tmb = Commands->Get_Bone_Position(obj,Get_Parameter("Explosion_Bone"));
-	Commands->Create_Explosion(Get_Parameter("Explosion_Preset"),tmb,0);
-}
-
 void JFW_Drive_To_Player::Created(GameObject *obj)
 {
 	ActionParamsStruct params;
@@ -1089,7 +1041,6 @@
 ScriptRegistrant<JFW_Vechicle_Animation_Trigger> JFW_Vechicle_Animation_Trigger_Registrant("JFW_Vechicle_Animation_Trigger","Animation:string,Subobject:string,FirstFrame:float,LastFrame:float,Blended:int,Time:float,TimerNum:int,UpAnimation:string,UpSubobject:string,UpFirstFrame:float,UpLastFrame:float,UpBlended:int,DownAnimation:string,DownSubobject:string,DownFirstFrame:float,DownLastFrame:float,DownBlended:int,UpTrigger:int,DownTrigger:int");
 ScriptRegistrant<JFW_Vechicle_Animation_2> JFW_Vechicle_Animation_2_Registrant("JFW_Vechicle_Animation_2","Animation:string,Subobject:string,FirstFrame:float,LastFrame:float,Blended:int,Time:float,TimerNum:int,UpAnimation:string,UpSubobject:string,UpFirstFrame:float,UpLastFrame:float,UpBlended:int,DownAnimation:string,DownSubobject:string,DownFirstFrame:float,DownLastFrame:float,DownBlended:int");
 ScriptRegistrant<JFW_Turret_Spawn_2> JFW_Turret_Spawn_2_Registrant("JFW_Turret_Spawn_2","Turret_Preset:string,Bone_Name=Tur_Mount:string,Explosion_Preset:string,Explosion_Bone:string");
-ScriptRegistrant<JFW_Turret_Spawn_3> JFW_Turret_Spawn_3_Registrant("JFW_Turret_Spawn_3","Turret_Preset:string,Bone_Name=Tur_Mount:string,Explosion_Preset:string,Explosion_Bone:string,Driver_Entered_Custom:int,Driver_Exited_Custom:int");
 ScriptRegistrant<JFW_Drive_To_Player> JFW_Drive_To_Player_Registrant("JFW_Drive_To_Player","Speed:float,Arrive_Distance:float");
 ScriptRegistrant<JFW_Vechicle_Animation> JFW_Vechicle_Animation_Registrant("JFW_Vechicle_Animation","Animation:string,Subobject:string,FirstFrame:float,LastFrame:float,Blended:int,Time:float,TimerNum:int");
 ScriptRegistrant<JFW_Visible_Person_In_Vechicle> JFW_Visible_Person_In_Vechicle_Registrant("JFW_Visible_Person_In_Vechicle","BoneName:string,ModelName:string,Animation:string,SubObject:string,FirstFrame:float,LastFrame:float,Blended:int");
diff -uwr source/scripts/jfwveh.h sourceold/scripts/jfwveh.h
--- source/scripts/jfwveh.h	2013-02-21 19:28:09.939453100 +0800
+++ sourceold/scripts/jfwveh.h	2012-07-28 09:11:06.392578100 +0800
@@ -26,43 +26,6 @@
 	public: void Register_Auto_Save_Variables();
 };
 
-
-/*!
-* \brief Vehicle Turret Spawner Variant (Enter/Exit Customs & Health Link)
-* \author jonwil, Daniel Paul (danpaul88@yahoo.co.uk)
-* \ingroup custom_generator
-*
-* This is a variant of the basic JFW_Turret_Spawn_2 script with the added ability to send custom
-* messages to the turret object when a driver enters or exits the vehicle. Additionally it links
-* the health of the turrets with that of the vehicle body so any damage taken is applied to both.
-*
-* \param Turret_Preset
-*   Name of the preset to be spawned
-* \param Bone_Name
-*   Name of the bone on the object to attach the spawned preset to
-* \param Explosion_Preset
-*   Name of an explosion preset to create when the object is destroyed, this is used to destroy
-*   the spawned turret
-* \param Explosion_Bone
-*   Name of the bone on the object to create the explosion at
-* \param Driver_Entered_Custom
-*   ID of the custom message to be sent when a driver enters the vehicle
-* \param Driver_Exited_Custom
-*   ID of the custom message to be sent when the driver leaves the vehicle
-*
-* \note
-*   The Driver_Exited_Custom custom will be sent to the spawned turret as soon as it is created
-*/
-class JFW_Turret_Spawn_3 : public ScriptImpClass
-{
-  int turID;
-  bool m_bHasDriver;
-  void Created(GameObject *obj);
-  void Custom(GameObject *obj,int type,int param,GameObject *sender);
-  void Killed(GameObject *obj,GameObject *killer);
-  public: void Register_Auto_Save_Variables();
-};
-
 class JFW_Drive_To_Player : public ScriptImpClass {
 	void Created(GameObject *obj);
 };
diff -uwr source/scripts/jfwweap.cpp sourceold/scripts/jfwweap.cpp
--- source/scripts/jfwweap.cpp	2013-02-13 17:17:24.747070300 +0800
+++ sourceold/scripts/jfwweap.cpp	2013-01-13 12:06:54.797914100 +0800
@@ -1430,7 +1430,6 @@
 {
 	LastSwitch = 0;
 	Weapon2 = true;
-	InTimer = false;
 	InstallHook(Get_Parameter("Keyhook"),obj);
 }
 
@@ -1443,10 +1442,6 @@
 		Send_Message_Player(Owner(),153,204,25,str);
 		return;
 	}
-	if (InTimer)
-	{
-		return;
-	}
 	LastSwitch = time(NULL);
 	if (Weapon2)
 	{
@@ -1456,7 +1451,6 @@
 	{
 		Remove_Weapon(Owner(),Get_Powerup_Weapon(Get_Parameter("WeaponPowerup2")));
 	}
-	InTimer = true;
 	Commands->Start_Timer(Owner(),this,Get_Float_Parameter("SwitchTime"),1);
 }
 
@@ -1473,7 +1467,6 @@
 		Commands->Select_Weapon(obj,Get_Powerup_Weapon(Get_Parameter("WeaponPowerup1")));
 	}
 	Weapon2 = !Weapon2;
-	InTimer = false;
 }
 
 ScriptRegistrant<JFW_Nod_Turret> JFW_Nod_Turret_Registrant("JFW_Nod_Turret","");
diff -uwr source/scripts/jfwweap.h sourceold/scripts/jfwweap.h
--- source/scripts/jfwweap.h	2013-02-13 17:17:24.637695300 +0800
+++ sourceold/scripts/jfwweap.h	2013-01-11 22:37:51.988281200 +0800
@@ -276,7 +276,6 @@
 class JFW_Char_Weapon_Switcher : public JFW_Key_Hook_Base {
 	time_t LastSwitch;
 	bool Weapon2;
-	bool InTimer;
 	void Created( GameObject *obj );
 	void KeyHook();
 	void Timer_Expired( GameObject *obj,int number );
diff -uwr source/scripts/scripts.h sourceold/scripts/scripts.h
--- source/scripts/scripts.h	2013-02-12 09:36:05.784179600 +0800
+++ sourceold/scripts/scripts.h	2012-07-28 09:11:06.085937500 +0800
@@ -727,11 +727,6 @@
 	void	(* Unlock_Soldier_Facing)( GameObject * object );
 	void	(* Apply_Damage)( GameObject * object, float amount, const char * warhead_name, GameObject * damager);
 	void	(* Set_Loiters_Allowed)( GameObject * object, bool allowed );
-
-  /*!
-  * Set whether a SoldierGameObj is visible to AIs utilising the Enemy_Seen logic. For vehicles use
-  * the Set_Vehicle_Is_Visible function instead.
-  */
 	void	(* Set_Is_Visible)( GameObject * object, bool visible );
 	void	(* Set_Is_Rendered)( GameObject * object, bool rendered );
 	float	(* Get_Points)( GameObject * object );
